package cn.iocoder.yudao.module.system.controller.app.attendance.vo;

import cn.iocoder.yudao.module.system.dal.dataobject.attendance.group.AttendanceGroupDO;
import cn.iocoder.yudao.module.system.dal.dataobject.attendance.groupshift.AttendanceGroupShiftDO;
import cn.iocoder.yudao.module.system.service.attendance.punch.dto.AttendanceOnTheDayDTO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Accessors(chain = true)
public class AttendancePunchVO {
    @Schema(description = "考勤组")
    private AttendanceGroupDO activationGroup;

    @Schema(description = "考勤组班次")
    private AttendanceGroupShiftDO attendanceGroupShiftDO;

    @Schema(description = "当天考勤列表")
    private List<AttendanceOnTheDayDTO> attendanceOnTheDayDTOS;
}
