package cn.iocoder.yudao.module.system.job.attendance;

import cn.iocoder.yudao.framework.tenant.core.job.TenantJob;
import cn.iocoder.yudao.module.system.dal.mysql.attendance.statistics.AttendanceStatisticsMapper;
import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.redis.core.StringRedisTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
@Slf4j
public class AttendanceStatisticsJob {
    @Resource
    private AttendanceStatisticsMapper attendanceStatisticsMapper;

    // TODO: 2024/4/22  - 每天晚上24点执行
    @XxlJob("attendanceStatisticsJob")
    @TenantJob // --- ⚠️ 这个注解 会将租户列表拉出来 完了后逐个租户执行 定时任务需要注意
    public ReturnT<String> execute() throws Exception {
        // -- 获取所有考勤内人员 -

        // 返回执行成功
        return ReturnT.SUCCESS;
    }
}
